{
*****************************
*                           *
* Author: Adrian M. Hanslik *
* Date: 08. October 1999    *
* Title: AMHInfoDialog      *
* Version: 1.0              *
*                           *
*****************************
}

unit AMHInfoDialog;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, AMHInfoDialogUnit;

type
  TAMHInfoDialog = class(TComponent)
  private
    { Private-Deklarationen }
    FLabel1: String;
    FLabel2: String;
    FLabel3: String;
    FLabel4: String;
    FLabel5: String;
    FLabel6: String;
    FLabel7: String;
    procedure SetLabel1(Value: String);
    procedure SetLabel2(Value: String);
    procedure SetLabel3(Value: String);
    procedure SetLabel4(Value: String);
    procedure SetLabel5(Value: String);
    procedure SetLabel6(Value: String);
    procedure SetLabel7(Value: String);
  protected
    { Protected-Deklarationen }
  public
    { Public-Deklarationen }
    constructor Create(AnOwner: TComponent); override;
    destructor Destroy; override;
    function Execute: boolean;
  published
    { Published-Deklarationen }
    property Label1: String read FLabel1 write SetLabel1;
    property Label2: String read FLabel2 write SetLabel2;
    property Label3: String read FLabel3 write SetLabel3;
    property Label4: String read FLabel4 write SetLabel4;
    property Label5: String read FLabel5 write SetLabel5;
    property Label6: String read FLabel6 write SetLabel6;
    property Label7: String read FLabel7 write SetLabel7;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('AMH Free', [TAMHInfoDialog]);
end;

constructor TAMHInfoDialog.Create(AnOwner: TComponent);
begin
  inherited Create(AnOwner);
end;

destructor TAMHInfoDialog.Destroy;
begin
  inherited Destroy;
end;

function TAMHInfoDialog.Execute: boolean;
var
  AMHInfoDialog: TAMHInfoDialogForm;
begin
  try
    AMHInfoDialog := TAMHInfoDialogForm.Create(Application);
  except
    on Error: Exception do begin
       MessageBeep(0);
       Exit;
    end;
  end;
  with AMHInfoDialog do begin
       Image.Picture.Assign(Application.Icon);
       Label1.Caption := FLabel1;
       Label2.Caption := FLabel2;
       Label3.Caption := FLabel3;
       Label4.Caption := FLabel4;
       Label5.Caption := FLabel5;
       Label6.Caption := FLabel6;
       Label7.Caption := FLabel7;
       try
         ShowModal;
       finally
         Free;
       end;
  end;
end;

procedure TAMHInfoDialog.SetLabel1(Value: String);
begin
  if Value <> FLabel1 then
     FLabel1 := Value;
end;

procedure TAMHInfoDialog.SetLabel2(Value: String);
begin
  if Value <> FLabel2 then
     FLabel2 := Value;
end;

procedure TAMHInfoDialog.SetLabel3(Value: String);
begin
  if Value <> FLabel3 then
     FLabel3 := Value;
end;

procedure TAMHInfoDialog.SetLabel4(Value: String);
begin
  if Value <> FLabel4 then
     FLabel4 := Value;
end;

procedure TAMHInfoDialog.SetLabel5(Value: String);
begin
  if Value <> FLabel5 then
     FLabel5 := Value;
end;

procedure TAMHInfoDialog.SetLabel6(Value: String);
begin
  if Value <> FLabel6 then
     FLabel6 := Value;
end;

procedure TAMHInfoDialog.SetLabel7(Value: String);
begin
  if Value <> FLabel7 then
     FLabel7 := Value;
end;

end.
